-- position marker
data:extend(
{
  {
    type = "item",
    name = "marker",
    icon = "__AutomaticExpansion__/graphics/blockMarker.png",
    flags = {"goes-to-quickbar"},
    subgroup = "tool",
    order = "c[automated-construction]-c[marker]",
    place_result="land-mark",
    stack_size = 50
  },
  {
    type = "simple-entity",
    name = "land-mark",
    
    minable = {hardness = 0, mining_time = 0, result = "marker"},
    icon = "__AutomaticExpansion__/graphics/blockMarker.png",
    max_health = 200,

    selection_box = {{-0.2, -0.2}, {0.2, 0.2}},
    render_layer = "object",
    
    pictures = {
        {
          filename = "__AutomaticExpansion__/graphics/blockMarker.png",
          width = 16,
          height = 16,
          priority = "medium",
          scale = 5
        }
    }
  },  
  {
    type = "recipe",
    name = "marker",
    enabled = "true",
    ingredients =
    {
      {"iron-plate", 1},
      {"wood", 1},
    },
    result = "marker"
  },  
})

--styles
